org.apache.fop.render.pdf.extensions

## Class PDFDictionaryElement

- java.lang.Object
- - org.apache.fop.fo.FONode
  - - org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement
    - - org.apache.fop.render.pdf.extensions.PDFCollectionEntryElement
      - - org.apache.fop.render.pdf.extensions.PDFDictionaryElement

- All Implemented Interfaces:
    Cloneable
  Direct Known Subclasses:
    PDFActionElement, PDFCatalogElement, PDFDocumentInformationElement, PDFLayerElement, PDFNavigatorElement, PDFPageElement, PDFPagePieceElement, PDFVTElement

      public class PDFDictionaryElement
      extends PDFCollectionEntryElement

  Extension element for dictionaries: pdf:{catalog,page,dictionary}. The specific type of dictionary is established at construction type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.fo.FONode

      `FONode.FONodeIterator, FONode.GatherContextInfoFunction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ATT_ID`

    - ### Fields inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryElement

      `ATT_KEY`

    - ### Fields inherited from class org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement

      `attachment`

    - ### Fields inherited from class org.apache.fop.fo.FONode

      `FO_URI, FOX_URI, locator, log, nodeChangeBarList, parent, siblings, startOfNodeChangeBarList`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addChildNode(FONode child)` Adds a node as a child of this node.
    `void` | `endOfNode()` Primarily used for making final content model validation checks and/or informing the `FOEventHandler` that the end of this FO has been reached.
    `PDFDictionaryExtension` | `getDictionaryExtension()`
    `String` | `getLocalName()` Returns the local name (i.e.
    `protected ExtensionAttachment` | `instantiateExtensionAttachment()` Instantiates extension attachment object.
    `void` | `processNode(String elementName, Locator locator, Attributes attlist, PropertyList propertyList)` Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.
    `void` | `startOfNode()` Called after processNode() is called.

    - ### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryElement

      `characters, getExtension`

    - ### Methods inherited from class org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement

      `getExtensionAttachment, getNamespaceURI, getNormalNamespacePrefix`

    - ### Methods inherited from class org.apache.fop.fo.FONode

      `addCharacters, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChangeBarList, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getStructureTreeElement, getUserAgent, inMarker, invalidChildError, invalidChildError, invalidPropertyValueError, isBidiRangeBlockItem, isChangeBarElement, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, notSupportedChildError, removeChild, setLocator, setStructureTreeElement, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, validateChildNode, warningText`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ATT_ID

          public static final String ATT_ID

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDictionaryExtension

          public PDFDictionaryExtension getDictionaryExtension()

    - #### processNode

          public void processNode(String elementName,
                                  Locator locator,
                                  Attributes attlist,
                                  PropertyList propertyList)
                           throws FOPException

      Description copied from class: `FONode`
      Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.
      Overrides:
        `processNode` in class `PDFCollectionEntryElement`
      Parameters:
        `elementName` - element name (e.g., "fo:block")
        `locator` - Locator object (ignored by default)
        `attlist` - Collection of attributes passed to us from the parser.
        `propertyList` - the property list of the parent node
      Throws:
        `FOPException` - for errors or inconsistencies in the attributes

    - #### startOfNode

          public void startOfNode()
                           throws FOPException

      Description copied from class: `FONode`
      Called after processNode() is called. Subclasses can do additional processing.
      Overrides:
        `startOfNode` in class `PDFCollectionEntryElement`
      Throws:
        `FOPException` - if there's a problem during processing

    - #### addChildNode

          protected void addChildNode(FONode child)
                               throws FOPException

      Description copied from class: `FONode`
      Adds a node as a child of this node. The default implementation of this method just ignores any child node being added.
      Overrides:
        `addChildNode` in class `FONode`
      Parameters:
        `child` - child node to be added to the childNodes of this node
      Throws:
        `FOPException` - if there's a problem during processing

    - #### endOfNode

          public void endOfNode()
                         throws FOPException

      Description copied from class: `FONode`
      Primarily used for making final content model validation checks and/or informing the `FOEventHandler` that the end of this FO has been reached. The default implementation simply calls `FONode.finalizeNode()`, without sending any event to the `FOEventHandler`.

      Note: the recommended way to override this method in subclasses is

      `super.endOfNode(); // invoke finalizeNode()`

      `getFOEventHandler().endXXX(); // send endOfNode() notification`

      Overrides:
        `endOfNode` in class `PDFCollectionEntryElement`
      Throws:
        `FOPException` - if there's a problem during processing

    - #### getLocalName

          public String getLocalName()

      Description copied from class: `FONode`
      Returns the local name (i.e. without namespace prefix) of the node
      Overrides:
        `getLocalName` in class `PDFCollectionEntryElement`
      Returns:
        the local name of this node

    - #### instantiateExtensionAttachment

          protected ExtensionAttachment instantiateExtensionAttachment()

      Description copied from class: `AbstractPDFExtensionElement`
      Instantiates extension attachment object.
      Overrides:
        `instantiateExtensionAttachment` in class `AbstractPDFExtensionElement`
      Returns:
        extension attachment

Copyright © 2023 Apache Software Foundation. All rights reserved.